[SCM] Samba Shared Repository - branch master updated - release-4-0-0alpha6-186-g5ec5265

Michael Adam obnox at samba.org
Wed Jan 28 11:18:55 GMT 2009


The branch, master has been updated
       via  5ec52659da8282752535d2ef9f7cb875fcaf93f2 (commit)
      from  5da211b658164a6a585e9e77b7017a62ba16cf51 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 5ec52659da8282752535d2ef9f7cb875fcaf93f2
Author: Michael Adam <obnox at samba.org>
Date:   Wed Jan 28 12:19:06 2009 +0100

    s3:test: exit the net rpc registry tests when give_administrative_rights fails
    
    Michael

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/test_net_registry.sh |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/test_net_registry.sh b/source3/script/tests/test_net_registry.sh
index 5edcb06..e9f56a2 100755
--- a/source3/script/tests/test_net_registry.sh
+++ b/source3/script/tests/test_net_registry.sh
@@ -361,8 +361,11 @@ take_administrative_rights()
 
 if test "x${RPC}" = "xrpc" ; then
 testit "giving user ${USERNAME} administrative rights" \
-	give_administrative_rights || \
-	failed=`expr $failed + 1`
+	give_administrative_rights
+	if [ "x$?" != "x0" ] ; then
+		failed=`expr $failed + 1`
+		testok $0 $failed
+	fi
 fi
 
 testit "enumerate HKLM" \


-- 
Samba Shared Repository


More information about the samba-cvs mailing list